New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Reference to 0.14.0 in 1.0.3 warning message #3693

Closed
vhiairrassary opened this Issue Oct 30, 2017 · 3 comments

Comments

Projects
None yet
4 participants
@vhiairrassary

vhiairrassary commented Oct 30, 2017

Using sbt.version = 1.0.3, launch sbt --info:

/opt/app # sbt --info
Picked up _JAVA_OPTIONS: -Duser.language=en -Duser.country=US -Duser.timezone=UTC
[info] Loading settings from plugins.sbt ...
[info] Loading project definition from /opt/app/project
[info] Loading settings from build.sbt ...
[info] Set current project to walmart (in build file:/opt/app/)
[warn] The `-` command is deprecated in favor of `onFailure` and will be removed in 0.14.0

Source code link: https://github.com/sbt/sbt/blob/1.x/main-command/src/main/scala/sbt/BasicCommandStrings.scala#L197

@rsoeldner

This comment has been minimized.

Show comment
Hide comment
@rsoeldner

rsoeldner Oct 30, 2017

What the point here, remove the warning ?

rsoeldner commented Oct 30, 2017

What the point here, remove the warning ?

@vhiairrassary

This comment has been minimized.

Show comment
Hide comment
@vhiairrassary

vhiairrassary Oct 31, 2017

That is weird to see a warning about the 0.14.0 while we are running the 1.0.3

vhiairrassary commented Oct 31, 2017

That is weird to see a warning about the 0.14.0 while we are running the 1.0.3

@kshakir

This comment has been minimized.

Show comment
Hide comment
@kshakir

kshakir Nov 7, 2017

Re: this warning message fix--

Do the docs need updating too? The current 1.x website says:

To set the logging level before any commands are executed on startup, use -- before the logging level.

If so I or someone can file an issue on the docs. As the original report on this issue states sbt --info now prints:

[warn] The `-` command is deprecated in favor of `onFailure` and will be removed

Btw, what should the docs say is the way to set the logging level before any commands are executed on startup? Running sbt 'set logLevel := Level.Warn' … changes the level too late after several [info] startup messages are printed out.

kshakir commented Nov 7, 2017

Re: this warning message fix--

Do the docs need updating too? The current 1.x website says:

To set the logging level before any commands are executed on startup, use -- before the logging level.

If so I or someone can file an issue on the docs. As the original report on this issue states sbt --info now prints:

[warn] The `-` command is deprecated in favor of `onFailure` and will be removed

Btw, what should the docs say is the way to set the logging level before any commands are executed on startup? Running sbt 'set logLevel := Level.Warn' … changes the level too late after several [info] startup messages are printed out.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment